{{--楼宇管理--}}
@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">
    <!-- bootstrap-daterangepicker -->
    <link href=".{{asset('gentelella/vendors/bootstrap-daterangepicker/daterangepicker.css')}}" rel="stylesheet">

    <!-- Bootstrap Colorpicker -->
    <link href="{{asset('gentelella/vendors/mjolnic-bootstrap-colorpicker/dist/css/bootstrap-colorpicker.min.css')}}"
          rel="stylesheet">

    <link href="{{asset('gentelella/vendors/cropper/dist/cropper.min.css')}}" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="{{asset('gentelella/build/css/custom.min.css')}}" rel="stylesheet">
@endsection
@section('foot_script')
    @parent
    <!-- iCheck -->
    <script src="{{asset('gentelella/vendors/iCheck/icheck.min.js')}}"></script>
    <!-- bootstrap-daterangepicker -->
    <script src="{{asset('gentelella/vendors/moment/min/moment.min.js')}}"></script>
    <script src="{{asset('gentelella/vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>
    <style type="text/css">
        #function li a {
            color: #0D3349 !important;
        }

    </style>
@endsection
@section('content')
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                {{--<h2>Table design--}}
                {{--<small>Custom design</small>--}}
                {{--</h2>--}}


                <div class=" col-md-10 col-sm-10 col-xs-12 form-group   top_search">

                    <form action="?" method="get">
                        <div class="input-group-btn row"  style="display: inline;">
                            <select onchange="" name="EnergyType" id="EnergyType" class=" form-control "
                                    style="width: 25%;display: inline;">
                                <option value="">请选择能耗类型</option>
                                <option value="1">水</option>
                                <option value="2">电</option>
                            </select>
                            <select onchange="" name="AlarmType" id="AlarmType" class="  form-control "
                                    style="width: 25%;display: inline;">
                                <!--错误类型(编号越大代表越严重1.无有效读数，2无读数，3(水表专用)连续3天0:00-6:00流量超过0，4无有效流量5.(集中器、中继硬件错误)）-->
                                <option value="">故障类型</option>
                                <option value="1">流量过大</option>
                                <option value="3">(水表专用)连续3天0:00-6:00流量超过0</option>
                                <option value="2">无度数</option>
                            </select>
                            <select onchange="" name="Reason" id="Reason" class="  form-control "
                                    style="width: 25%;display: inline;"  >
                                <!--有以下几种原因：1.回流 2.更换表具 3更换设备 4修理 5超原表盘极限 6 自动恢复 7表盘读数大于脉冲-->
                                <option value="">故障原因</option>
                                <option value="回流">回流</option>
                                <option value="更换表具">更换表具</option>
                                <option value="更换设备">更换设备</option>
                                <option value="修理">修理</option>
                                <option value="超原表盘极限">超原表盘极限</option>
                                <option value="自动恢复">自动恢复</option>
                                <option value="表盘读数大于脉冲">表盘读数大于脉冲</option>
                            </select>
                            <select onchange="" name="LogState" id="LogState" class="  form-control "
                                    style="width: 25%;display: inline;">
                                <option value="">故障状态</option>
                                <option value="1">未处理</option>
                                <option value="2">已处理</option>
                            </select>

                        </div>



                            <div class="col-md-5">
                                开始时间
                                <fieldset>
                                    <div class="control-group">
                                        <div class="controls">

                                            <div class="col-md-12 xdisplay_inputx form-group has-feedback">

                                                <input type="text" class="form-control has-feedback-left"
                                                       id="single_cal2" name="StartTime" placeholder="First Name"
                                                       value="{{$StartTime or '10/16/2012'}}"
                                                       aria-describedby="inputSuccess2Status2">
                                                <span class="fa fa-calendar-o form-control-feedback left"
                                                      aria-hidden="true"></span>
                                                <span id="inputSuccess2Status2"
                                                      class="sr-only">(success)</span>
                                            </div>
                                        </div>
                                    </div>
                                </fieldset>
                            </div>

                            <div class="col-md-6">
                                结束时间
                                <fieldset>
                                    <div class="control-group">
                                        <div class="controls">
                                            <div class="col-md-11 xdisplay_inputx form-group has-feedback">
                                                <input type="text" name="EndTime" class="form-control has-feedback-left"
                                                       id="single_cal3" placeholder="First Name"
                                                       aria-describedby="inputSuccess2Status3">
                                                <span class="fa fa-calendar-o form-control-feedback left"
                                                      aria-hidden="true"></span>
                                                <span id="inputSuccess2Status3"
                                                      class="sr-only">(success)</span>
                                            </div>
                                        </div>
                                    </div>
                                </fieldset>
                            </div>



                        <div>
                            <div class="input-group">
                                <input value="{{$search_name or ''}}" name="search_name"
                                       type="text" class="form-control" style="display: inline;"
                                       placeholder="请输入图纸编号">
                                <span class="input-group-btn">
                                 <button class="btn btn-default" type="submit">搜索</button>
                                </span>

                            </div>
                        </div>

                    </form>
                </div>

                <ul id="function" class="nav navbar-right panel_toolbox x_title">
                    <li><a class="" onclick="selected_add('add');">新增</a>
                    </li>
                    <li><a class="" onclick="selected_Modify();;">修改</a>
                    </li>



                </ul>
                <div class="clearfix"></div>
            </div>


        <div class="x_content">


            <div class="table-responsive">
                <table class="table table-striped jambo_table bulk_action">
                    <thead>
                    <tr class="headings">
                        <th>
                            {{--<input type="checkbox" id="check-all" class="flat">--}}
                        </th>

                        <th class="column-title">报警时间</th>
                        <th class="column-title">报警类型</th>
                        <th class="column-title">通讯编号</th>
                        <th class="column-title">图纸编号</th>
                        <th class="column-title">处理状态</th>
                        <th class="column-title">处理人</th>
                        <th class="column-title">处理时间</th>
                        <th class="column-title">原因</th>
                        <th class="column-title">处理结果</th>
                        <th class="column-title">最后修改时间</th>

                        <th class="bulk-actions" colspan="11">
                            {{--<a class="antoo" style="color:#fff; font-weight:500;">批量操作 ( <span--}}
                            {{--class="action-cnt"> </span> ) <i class="fa fa-chevron-down"></i></a>--}}
                        </th>
                    </tr>
                    </thead>

                    <tbody>

                    @foreach($list as $item)
                        <tr class="even pointer" id="{{$item->AlarmLogID}}">
                            <td class="a-center ">
                                <input type="checkbox" class="flat" name="table_records">
                            </td>
                            <td class=" ">{{$item->AlarmTime}} </td>
                            <!-- 错误类型(编号越大代表越严重1.无有效读数，2无读数，3(水表专用)连续3天0:00-6:00流量超过0，
                            4无有效流量5.(集中器、中继硬件错误)） -->
                            <td class=" ">
                                @if($item->AlarmType == 1)
                                    无有效读数
                                @endif
                                @if($item->AlarmType == 2)
                                    无读数
                                @endif
                                @if($item->AlarmType == 3)
                                    (水表专用)连续3天0:00-6:00流量超过0
                                @endif
                                @if($item->AlarmType == 4)
                                    无有效流量5
                                @endif
                                @if($item->AlarmType == 5)
                                    集中器、中继硬件错误
                                @endif
                            </td>
                            <td class=" "> {{$item->ComCode}}</td>
                            <td class=" "> {{$item->DrawingsCode}}</td>

                            <td class="a-right a-right ">
                                @if($item->LogState == 1)
                                    未处理
                                @endif
                                @if($item->LogState == 2)
                                    已处理
                                @endif
                            </td>
                            <td class=" "> {{$item->Handler}}</td>
                            <td class=" "> {{$item->HandleTime}}</td>
                            <td class=" "> {{$item->Reason}}</td>
                            <td class=" "> {{$item->HandleResult}}</td>
                            <td class=" "> {{$item->ModifyTime}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                    <tfoot>
                    <tr>

                    </tr>

                    </tfoot>
                </table>
            </div>
            {{ $list->links()}}
        </div>
    </div>
    </div>
    <script>

        $("#EnergyType").val("{{$EnergyType or ''}}");
        $("#AlarmType").val("{{$AlarmType or ''}}")
        $("#Reason").val("{{$Reason or ''}}")
        $("#LogState").val("{{$LogState or ''}}")
        $("#StartTime").val("{{$StartTime or ''}}")
        $("#EndTime").val("{{$EndTime or ''}}")
        $("#search_name").val("{{$search_name or ''}}")

        function selected_Modify() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var ComEquipID = select.attr('id');
                {{--href="/production/communicationsEquipment/modify?action=modify&ComEquipID={{''}}"--}}
                $(location).attr('href', $(location).attr('pathname') + '/modify/' + ComEquipID);

            }
        }

        function selected_info() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var ComEquipID = select.attr('id');
                $(location).attr('href', $(location).attr('pathname') + '/info?ComEquipID=' + ComEquipID);

            }
        }

        function selected_delete() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var ComEquipID = select.attr('id');
                $(location).attr('href', $(location).attr('pathname') + '/delete/' + ComEquipID);


            }
        }

        function selected_add(ComEquipType) {
            // href="/production/communicationsEquipment/modify?action=add&ComEquipType=3"
            $(location).attr('href', $(location).attr('pathname') + '/modify/add');

        }
    </script>

@endsection