@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('/gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">
    <!-- bootstrap-wysiwyg -->
    <link href="{{asset('/gentelella/vendors/google-code-prettify/bin/prettify.min.css')}}" rel="stylesheet">
    <!-- Select2 -->
    <link href="{{asset('/gentelella/vendors/select2/dist/css/select2.min.css')}}" rel="stylesheet">
    <!-- Switchery -->
    <link href="{{asset('/gentelella/vendors/switchery/dist/switchery.min.css')}}" rel="stylesheet">
    <!-- starrr -->
    <link href="{{asset('/gentelella/vendors/starrr/dist/starrr.css')}}" rel="stylesheet">
    <!-- bootstrap-daterangepicker -->
    <link href="{{asset('/gentelella/vendors/bootstrap-daterangepicker/daterangepicker.css')}}" rel="stylesheet">

@endsection
@section('foot_script')
    @parent
    <!-- bootstrap-progressbar -->
    <script href="{{asset('/gentelella/vendors/bootstrap-progressbar/bootstrap-progressbar.min.js')}}"></script>
    <!-- iCheck -->
    <script href="{{asset('/gentelella/vendors/iCheck/icheck.min.js')}}"></script>
    <!-- bootstrap-daterangepicker -->
    <script href="{{asset('/gentelella/vendors/moment/min/moment.min.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>
    <!-- bootstrap-wysiwyg -->
    <script href="{{asset('/gentelella/vendors/bootstrap-wysiwyg/js/bootstrap-wysiwyg.min.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/jquery.hotkeys/jquery.hotkeys.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/google-code-prettify/src/prettify.js')}}"></script>
    <!-- jQuery Tags Input -->
    <script href="{{asset('/gentelella/vendors/jquery.tagsinput/src/jquery.tagsinput.js')}}"></script>
    <!-- Switchery -->
    <script href="{{asset('/gentelella/vendors/switchery/dist/switchery.min.js')}}"></script>
    <!-- Select2 -->
    <script href="{{asset('/gentelella/vendors/select2/dist/js/select2.full.min.js')}}"></script>
    <!-- Parsley -->
    <script href="{{asset('/gentelella/vendors/parsleyjs/dist/parsley.min.js')}}"></script>
    <!-- Autosize -->
    <script href="{{asset('/gentelella/vendors/autosize/dist/autosize.min.js')}}"></script>
    <!-- jQuery autocomplete -->
    <script href="{{asset('/gentelella/vendors/devbridge-autocomplete/dist/jquery.autocomplete.min.js')}}"></script>
    <!-- starrr -->
    <script href="{{asset('/gentelella/vendors/starrr/dist/starrr.js')}}"></script>

    <script src="{{asset('/cxSelect/jquery.cxselect.js')}}"></script>
    <!-- 开发环境版本，包含了有帮助的命令行警告 -->
    {{--    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>--}}
    <script src="{{asset('/js/vue.js')}}"></script>

    <!-- bootstrap-daterangepicker -->
    <script src="{{asset('gentelella/vendors/moment/min/moment.min.js')}}"></script>
    <script src="{{asset('gentelella/vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>
@endsection

@section('content')
    <div class="row">
        <!-- 模态框（Modal） -->
        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
             aria-hidden="true">
            <div class="modal-dialog" style="width: 70%">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                            &times;
                        </button>
                        <h4 class="modal-title" id="myModalLabel">采集器选择</h4>


                    </div>
                    <div class="modal-body">
                        <div class=" ">
                            <div class="x_title">
                                {{--<form action="?" method="get">--}}
                                <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-left top_search">
                                    <div class="input-group">
                                        <input id="SearchComCode" type="text" name="SearchComCode" class="form-control"
                                               placeholder="请输入名称">
                                        <span class="input-group-btn">
                                              <button onclick="SearchComCode();" class="btn btn-default" type="button">搜索</button>
                                               </span>
                                    </div>
                                </div>
                                {{--</form>--}}
                                <div class="clearfix"></div>
                            </div>


                            <div class="table-responsive">
                                <table class="table table-striped jambo_table bulk_action">
                                    <thead>
                                    <tr class="headings">
                                        <th class="column-title"></th>
                                        <th class="column-title">通讯编号</th>
                                        <th class="column-title">图纸编号</th>
                                        <th class="column-title">所属校区</th>
                                        <th class="column-title">安装位置</th>
                                        <th class="column-title">设备类型</th>
                                        <th class="column-title">能耗类型</th>
                                    </tr>
                                    </thead>

                                    <tbody id="ComCodeList">
                                    <tr v-for="item in items" class="even pointer">
                                        <td>
                                            <a href="#" onclick="select_communicationsEquipment(this);"
                                               v-bind:id="item.ComEquipID" class="btn btn-primary btn-xs"><i
                                                        class="fa fa-location-arrow"></i> 选择
                                            </a>
                                        </td>
                                        <td>@{{ item.ComCode }}</td>
                                        <td>@{{ item.DrawingsCode }}</td>
                                        <td>@{{ item.DistrictModel.FullName }}</td>
                                        <td>@{{ item.ComEquipAddress }}</td>
                                        <td>@{{ item.ComEquipTypeName }}</td>
                                        <td>@{{ item.EnergyTypeName }}</td>
                                    </tr>
                                    </tbody>
                                    <tfoot>
                                    <tr>
                                    </tr>

                                    </tfoot>
                                </table>
                                <div id="links"></div>
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        {{--<button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>--}}
                        {{--<button type="button" class="btn btn-primary">提交更改</button>--}}
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal -->
        </div>
    </div>
    <!-- 信息填写 -->
    <div class="row">
        <div class="col-md-6 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    @isset($modelInfo)
                        <h2>修改报警信息</h2>
                    @else
                        <h2>新增报警信息</h2>
                    @endisset
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">
                    <br/>
                    <form action='?' method="get" class="form-horizontal form-label-left">
                        @isset($modelInfo)
                            <input hidden name="action" value="update"/>
                        @else
                            <input hidden name="action" value="add"/>
                        @endisset

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">所属校区 </label>
                            <div class="col-md-9 col-sm-9 col-xs-12">

                                <select onchange="DistrictIDSelect(this);" name="DistrictID" id="DistrictID"
                                        class="form-control">
                                    {{--<option value="0">*请选择</option>--}}
                                    @foreach($districtAllModel as $item)
                                        <option value="{{$item->DistrictID}}">{{$item->FullName}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>


                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">能耗类型 </label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <select onchange="EnergyTypeSelect(this);" name="EnergyType" id="EnergyType"
                                        class="select2_single form-control" tabindex="-1">
                                    <option value="1">水</option>
                                    <option value="2">电</option>
                                </select>
                            </div>
                        </div>
                        <div id="ddUsageID" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">设备类型 </label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <select name="ComEquipType" id="ComEquipType" class="select2_single form-control"
                                        tabindex="-1">
                                    <option value="1">集中器</option>
                                    <option value="2">中继器</option>
                                    <option value="3">采集器</option>
                                </select>
                            </div>
                        </div>


                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">报警时间</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">

                                <fieldset>
                                    <div class="control-group">
                                        <div class="controls">
                                            <div class="col-md-13 xdisplay_inputx form-group has-feedback">
                                                @if(isset($modelInfo))

                                                    <input required name="AlarmTime" value="{{date('m/d/Y',strtotime($modelInfo->AlarmTime))}}" type="text" class="form-control has-feedback-left" id="single_cal1" placeholder="First Name" aria-describedby="inputSuccess2Status">

                                                @else
                                                    <input required name="AlarmTime"    type="text" class="form-control has-feedback-left" id="single_cal1" placeholder="First Name" aria-describedby="inputSuccess2Status">

                                                @endif
                                                <span class="fa fa-calendar-o form-control-feedback left" aria-hidden="true"></span>
                                                <span id="inputSuccess2Status" class="sr-only">(success)</span>
                                            </div>
                                        </div>
                                    </div>
                                </fieldset>

                            </div>
                        </div>

                        <div id="ddUsageID" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">故障类型 </label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <select name="AlarmType" id="AlarmType" class="select2_single form-control"
                                        tabindex="-1">
                                    <option value="1">流量过大</option>
                                    <option value="2">（水表）联系3天0：00-6：00流量超过0</option>
                                    <option value="3">无度数</option>
                                </select>
                            </div>
                        </div>
                            <div id="ddUsageID" class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">故障原因 </label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <input   required="required" name="Reason" id="Reason" type="text"
                                           class="form-control" style="width: 70%; display: inline"
                                           value="{{$modelInfo->Reason or '表盘大于脉冲数'}}">
                                    <select onchange="ddReasonChange(this);" id="ddReason" class="select2_single form-control"
                                            style="width: 20%; display: inline" tabindex="-1">
                                        {{--有以下几种原因： 1.回流 2.更换表具 3更换设备 4修理 5超原表盘极限 6 自动恢复 7表盘读数大于脉冲--}}
                                        <option value="回流">回流</option>
                                        <option value="更换表具">更换表具</option>
                                        <option value="更换设备">更换设备</option>
                                        <option value="超原表盘极限">超原表盘极限</option>
                                        <option value="自动恢复">自动恢复</option>
                                        <option value="表盘读数大于脉冲">表盘读数大于脉冲</option>
                                    </select>
                                </div>
                            </div>

                        <div id="ddComCode" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">通讯编号</label>
                            <div class="col-md-9 col-sm-9 col-xs-12  ">

                                <div class="input-group">
                                    {{--通讯设备 通讯码--}}
                                    <input readonly required="required" id="ComCode" name="ComCode" type="text"
                                           class="form-control"
                                           value="{{$modelInfo->ComCode or ''}}">
                                    {{--通讯设备ID--}}
                                    <input hidden  id="AcquireID" name="AcquireID" type="text"
                                           value="{{$modelInfo->AcquireID or ''}}">


                                    <div class="input-group-btn">
                                        <span onclick="SearchComCode();" class="btn btn-primary">
                                            选入通讯设备
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">图纸编号</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <input readonly required="required" name="DrawingsCode" id="DrawingsCode" type="text"
                                       class="form-control"
                                       value="{{$modelInfo->DrawingsCode or ''}}">

                            </div>
                        </div>
                        <div id="ddLocation" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">处理结果</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <textarea   required="required" id="HandleResult" name="HandleResult" type="text"
                                       class="form-control " style="resize:none;"
                                       >{{$modelInfo->HandleResult or ''}}</textarea>

                            </div>
                        </div>

                        <div class="ln_solid"></div>
                        <div class="form-group">
                            <div class="col-md-9 col-sm-9 col-xs-12 col-md-offset-3">
                                <button type="submit" class="btn btn-primary">保存</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>



@endsection
@section('foot_script_run')
    @isset($modelInfo)
        <script>
            $("#DistrictID").val("{{$modelInfo->DistrictID}}");
            $("#ParentID").val("{{$modelInfo->ParentID}}");
            {{--{{dd($modelInfo->ParentID)}}--}}
            $("#IsMin").val("{{$modelInfo->IsMin}}");
            $("#DeptState").val("{{$modelInfo->DeptState}}");
        </script>
    @endisset
    <script>  
        var app_ComCodeList = new Vue({
            el: '#ComCodeList',
            data: {
                items: ''
            }
        })

        function SearchComCode() {

            var SearchComCode = $("#SearchComCode").val();
            var EnergyType = $("#EnergyType").val();
            var DistrictID = $("#DistrictID").val();
            if (EnergyType == 0) {
                alert('请选择能耗类型');
                return;
            }
            if (DistrictID == 0) {
                alert('请选择所属校区');
                return;
            }
            $('#myModal').modal('show')
            $.getJSON('?select=SearctComEquip', {
                'SearchComCode': SearchComCode,
                'EnergyType': EnergyType,
                'DistrictID': DistrictID
            }, function (data) {

                searchComCodeList(data);
            });
        }

        function select_communicationsEquipment(sender) {
            var ComEquipID = $(sender).attr('id');

            var ComCode = $('#ComCode');
            var DrawingsCode = $('#DrawingsCode');
            var Location = $('#Location');
            var AcquireID = $('#AcquireID');

            $.getJSON('/production/communicationsEquipment/info', {
                'response_type': 'json',
                'ComEquipID': ComEquipID
            }, function (data) {
                console.log(data);
                ComCode.val(data.ComCode)
                DrawingsCode.val(data.DrawingsCode)
                Location.val(data.ComEquipAddress)
                AcquireID.val(data.ComEquipID)
                $('#myModal').modal('hide')
            });
        }

        function searchComCodeList(data) {
            app_ComCodeList.items = data.list;
            console.log(data.list);
            $('#links').html(data.links);
            $('#links  a').click(function (ev) {
                // console.log($(this).attr('href'));
                $.getJSON($(this).attr('href'), function (data) {
                    // app_ComCodeList.items = data.list;
                    // console.log(data.links);
                    searchComCodeList(data);
                });
                return false;
            });
        }
        function ddReasonChange(sender) {
           var val = $(sender).val();
            $('#Reason').val(val);
            console.log(val);
        }
    </script>


@endsection