{{--部门管理--}}
@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">

@endsection
@section('foot_script')
    @parent
    <!-- iCheck -->
    <script src="{{asset('./gentelella/vendors/iCheck/icheck.min.js')}}"></script>
    <style type="text/css">
        #function  li a{
            color: #0D3349   !important;

        }

    </style>
@endsection
@section('content')
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                {{--<h2>Table design--}}
                {{--<small>Custom design</small>--}}
                {{--</h2>--}}
                <div class="col-md-5 col-sm-5 col-xs-12 form-group   top_search">
                    <form action="?" method="get">
                        <div class="input-group">
                            <input name="search_name" type="text" class="form-control" placeholder="请输入名称">
                            <span class="input-group-btn">
                      <button class="btn btn-default" type="submit">搜索</button>
                     </span>
                        </div>
                    </form>
                </div>

                <ul id="function" class="nav navbar-right panel_toolbox x_title" >

                    <li><a class="" style="color: #0D3349" onclick="selected_add();">新增</a>
                    </li>
                    <li><a class="" onclick="selected_Modify();" >修改</a>
                    </li>
                    <li><a class=""  onclick="selected_delete();">删除</a>
                    </li>


                </ul>
                <div class="clearfix"></div>
            </div>

            <div class="x_content">
                <div class="table-responsive">
                    <table class="table table-striped jambo_table bulk_action">
                        <thead>
                        <tr class="headings">
                            <th>
                                {{--<input type="checkbox" id="check-all" class="flat">--}}
                            </th>

                            <th class="column-title">部门名称</th>
                            <th class="column-title">所属校区</th>
                            <th class="column-title">最低节点</th>
                            <th class="column-title">层级</th>
                            <th class="column-title">记录状态</th>
                            <th class="column-title">创建时间</th>
                            <th class="column-title">修改时间</th>

                            <th class="bulk-actions" colspan="7">
                                {{--<a class="antoo" style="color:#fff; font-weight:500;">批量操作 ( <span--}}
                                {{--class="action-cnt"> </span> ) <i class="fa fa-chevron-down"></i></a>--}}
                            </th>
                        </tr>
                        </thead>

                        <tbody >

                        @foreach($list as $item)
                            <tr class="even pointer" id="{{$item->DeptID}}">
                                <td class="a-center ">
                                    <input type="checkbox" class="flat" name="table_records">
                                </td>
                                <td class=" ">{{$item->DeptName}} </td>
                                <td class=" ">{{$item->DistrictName}} </td>

                                <td class="a-right a-right ">
                                    @if($item->IsMin == 0)
                                        否
                                    @endif
                                        @if($item->IsMin == 1)
                                            是
                                        @endif
                                </td>
                                <td class=" ">{{$item->Level}} </td>
                                <td class="a-right a-right ">
                                    @if($item->DeptState == 1)
                                        新增
                                    @endif
                                    @if($item->DeptState == 2)
                                        激活
                                    @endif
                                    @if($item->DeptState == 3)
                                        停用
                                    @endif
                                    @if($item->DeptState == 9)
                                        删除
                                    @endif
                                </td>
                                <td class=" "> {{$item->CreateTime}}</td>
                                <td class=" "> {{$item->ModifyTime}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                        <tfoot>
                        <tr>

                        </tr>

                        </tfoot>
                    </table>
                </div>
                {{ $list->links() }}
            </div>
        </div>
    </div>
    <script>

        function selected_Modify() {
            var select = $('.even.pointer.selected');
            if (select.length != 1){
                alert('请选中一个修改');
            }else {
                var ComEquipID =  select.attr('id');
                {{--href="/production/communicationsEquipment/modify?action=modify&ComEquipID={{''}}"--}}
                $(location).attr('href', $(location).attr('pathname')+'/modify/'+ComEquipID);

            }
        }
        function selected_info() {
            var select = $('.even.pointer.selected');
            if (select.length != 1){
                alert('请选中一个修改');
            }else {
                var ComEquipID =  select.attr('id');
                $(location).attr('href', $(location).attr('pathname')+'/info?ComEquipID='+ComEquipID);

            }
        }
        function selected_delete() {
            var select = $('.even.pointer.selected');
            if (select.length != 1){
                alert('请选中一个修改');
            }else {
                var ComEquipID =  select.attr('id');
                $(location).attr('href', $(location).attr('pathname')+'/delete/'+ComEquipID);


            }
        }
        function selected_add(ComEquipType) {
            // href="/production/communicationsEquipment/modify?action=add&ComEquipType=3"
            $(location).attr('href', $(location).attr('pathname')+'/modify/add');

        }
    </script>

@endsection