{{--部门管理--}}
@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">

@endsection
@section('foot_script')
    @parent
    <!-- iCheck -->
    <script src="{{asset('./gentelella/vendors/iCheck/icheck.min.js')}}"></script>
    <style type="text/css">
        #function li a {
            color: #0D3349 !important;

        }

    </style>
@endsection
@section('content')
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    {{--<h2>Table design--}}
                    {{--<small>Custom design</small>--}}
                    {{--</h2>--}}
                    <div class="col-md-5 col-sm-5 col-xs-12 form-group   top_search">
                        <form action="?" method="get">


                            <div class="input-group">
                                <div class="input-group-btn">
                                    <select onchange="" name="DistrictID" id="DistrictID" class="form-control "
                                            style="width:120px;">
                                        <option value="">请选择校区</option>
                                        @foreach($districtAllModel as $item)
                                            <option value="{{$item->DistrictID}}">{{$item->FullName}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="input-group-btn">
                                    <select onchange="" name="EnergyType" id="EnergyType" class="form-control "
                                            style="width:auto;">
                                        <option value="">请选择能耗类型</option>
                                        <option value="1">水</option>
                                        <option value="2">电</option>
                                    </select>
                                </div>

                                <input value="{{$search_name or ''}}" style="width:120px;" name="search_name"
                                       type="text" class="form-control" placeholder="请输入名称">

                                <span class="input-group-btn">
                            <button class="btn btn-default" type="submit">搜索</button>
                            </span>

                            </div>
                        </form>
                    </div>

                    <ul id="function" class="nav navbar-right panel_toolbox x_title">
                        <li><a class="" onclick="selected_add('add');">新增表</a>
                        </li>
                        <li><a class="" onclick="selected_add('addGroup');;">新增表组</a>
                        </li>
                        <li><a class="" style="color: #0D3349" onclick="selected_add('addVirtual');">新增虚拟表</a>
                        </li>
                        <li><a class="" onclick="selected_delete();">删除</a>
                        </li>
                        <li><a class="" onclick="selected_Modify();">修改</a>
                        </li>
                        <li><a class="" onclick="selected_info();">明细</a>
                        </li>


                    </ul>
                    <div class="clearfix"></div>
                </div>

                <div class="x_content">


                    <div class="table-responsive">
                        <table class="table table-striped jambo_table bulk_action">
                            <thead>
                            <tr class="headings">
                                <th>
                                    {{--<input type="checkbox" id="check-all" class="flat">--}}
                                </th>

                                <th class="column-title">图纸编号</th>
                                <th class="column-title">表名</th>
                                <th class="column-title">安装位置</th>
                                <th class="column-title">关联采集器</th>
                                <th class="column-title">系数/倍率</th>
                                <th class="column-title">管径/类别</th>
                                <th class="column-title">所属校区</th>
                                <th class="column-title">虚拟表</th>
                                <th class="column-title">组</th>
                                <th class="column-title">层级</th>
                                <th class="column-title">最大消耗量</th>
                                <th class="column-title">记录状态</th>

                                <th class="bulk-actions" colspan="7">
                                    {{--<a class="antoo" style="color:#fff; font-weight:500;">批量操作 ( <span--}}
                                    {{--class="action-cnt"> </span> ) <i class="fa fa-chevron-down"></i></a>--}}
                                </th>
                            </tr>
                            </thead>

                            <tbody>

                            @foreach($list as $item)
                                <tr class="even pointer" id="{{$item->MeterID}}">
                                    <td class="a-center ">
                                        <input type="checkbox" class="flat" name="table_records">
                                    </td>
                                    <td class=" ">{{$item->DrawingsCode}} </td>
                                    <td class=" ">{{$item->MeterName}} </td>
                                    <td class=" ">{{$item->Location}} </td>
                                    <td class=" ">{{$item->ComCode}} </td>
                                    <td class=" ">{{$item->Factor}} </td>
                                    <td class=" ">{{$item->AdditonInfo}} </td>
                                    <td class=" ">{{$item->DistrictName}} </td>
                                    <td class="a-right a-right ">
                                        @if($item->IsVirtual == 0)
                                            否
                                        @endif
                                        @if($item->IsVirtual == 1)
                                            是
                                        @endif
                                    </td>
                                    <td class="a-right a-right ">
                                        @if($item->InGroup == 0)
                                            否
                                        @endif
                                        @if($item->InGroup == 1)
                                            是
                                        @endif
                                    </td>
                                    <td class=" ">{{$item->Level}} </td>
                                    <td class=" ">{{$item->MaxWastage}} </td>
                                    <td class="a-right a-right ">
                                        @if($item->MeterState == 1)
                                            新增
                                        @endif
                                        @if($item->MeterState == 2)
                                            激活
                                        @endif
                                        @if($item->MeterState == 3)
                                            停用
                                        @endif
                                        @if($item->MeterState == 9)
                                            删除
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                            <tfoot>
                            <tr>

                            </tr>

                            </tfoot>
                        </table>
                    </div>
                    {{ $list->links() }}
                </div>
            </div>
        </div>
    </div>
    <script>

        function selected_Modify() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var MeterID = select.attr('id');
                {{--href="/production/communicationsEquipment/modify?action=modify&ComEquipID={{''}}"--}}
                $(location).attr('href', $(location).attr('pathname') + '/modify/' + MeterID);

            }
        }

        function selected_info() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var MeterID = select.attr('id');
                $(location).attr('href', $(location).attr('pathname') + '/info?MeterID=' + MeterID);

            }
        }

        function selected_delete() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var MeterID = select.attr('id');
                $(location).attr('href', $(location).attr('pathname') + '/delete/' + MeterID);


            }
        }

        function selected_add(type) {
            // href="/production/communicationsEquipment/modify?action=add&ComEquipType=3"
            $(location).attr('href', $(location).attr('pathname') + '/modify/' + type);
        }
    </script>

@endsection
@section('foot_script_run')

    <script>

        $("#DistrictID").val("{{$DistrictID or ''}}");

        $("#EnergyType").val("{{$EnergyType or ''}}");
    </script>

@endsection