@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">
@endsection
@section('foot_script')
    @parent
    <!-- iCheck -->
    <script src="{{asset('./gentelella/vendors/iCheck/icheck.min.js')}}"></script>
@endsection
@section('content')
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                {{--<h2>Table design--}}
                    {{--<small>Custom design</small>--}}
                {{--</h2>--}}
                <div class="col-md-5 col-sm-5 col-xs-12 form-group   top_search">
                    <form action="?" method="get">
                    <div class="input-group">
                        <input name="search_name" type="text" class="form-control" placeholder="请输入名称">
                        <span class="input-group-btn">
                      <button class="btn btn-default" type="submit">搜索</button>
                     </span>
                    </div>
                    </form>
                </div>
                <ul class="nav navbar-right panel_toolbox">

                    <li><a class="" onclick="selected_add();">新增</a>
                    </li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                           aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="#" onclick="selected_Modify();" >修改</a>
                            </li>
                            <li><a href="#" onclick="selected_delete();">删除</a>
                            </li>
                        </ul>
                    </li>
                    <li><a class="close-link"><i class="fa fa-close"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>

            <div class="x_content">



                <div class="table-responsive">
                    <table class="table table-striped jambo_table bulk_action">
                        <thead>
                        <tr class="headings">
                            <th>
                                {{--<input type="checkbox" id="check-all" class="flat">--}}
                            </th>

                            <th class="column-title">编号</th>
                            <th class="column-title">校区名称</th>
                            <th class="column-title">全称</th>
                            <th class="column-title">层级</th>
                            <th class="column-title">最低节点</th>
                            <th class="column-title">状态</th>
                            <th class="column-title no-link last"><span class="nobr">创建时间</span>
                            </th>
                            <th class="column-title no-link last"><span class="nobr">修改时间</span>
                            </th>
                            <th class="bulk-actions" colspan="8">
                                {{--<a class="antoo" style="color:#fff; font-weight:500;">批量操作 ( <span--}}
                                            {{--class="action-cnt"> </span> ) <i class="fa fa-chevron-down"></i></a>--}}
                            </th>
                        </tr>
                        </thead>

                        <tbody >
                        @foreach($district as $item)
                            {{--ZY001  中医药大学  中医药大学  1  否  激活  2012-10-23 14:18  2018-1-9 20:45--}}
                            <tr class="even pointer" id="{{$item->DistrictID}}">
                                <td class="a-center ">
                                    <input type="checkbox" class="flat" name="table_records">
                                </td>
                                <td class=" ">{{$item->DistrcitCode}}</td>
                                <td class=" ">{{$item->DistrictName}}</td>
                                <td class=" ">{{$item->FullName}} </td>
                                <td class=" ">{{$item->Level}}</td>
                                <td class=" ">{{$item->IsMin?'是':'否'}}</td>
                                {{--用户状态（1.激活；2新增，3停用，9删除）--}}
                                <td class="a-right a-right ">
                                    @if($item->DistrictState == 1)
                                        新增
                                    @endif
                                    @if($item->DistrictState == 2)
                                        激活
                                    @endif
                                    @if($item->DistrictState == 3)
                                        停用
                                    @endif
                                    @if($item->DistrictState == 9)
                                        删除
                                    @endif
                                </td>
                                <td class=" last">{{$item->CreateTime}}</td>
                                <td class=" last">{{$item->ModifyTime}}</td>
                            </tr>
                            @endforeach


                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <script>

        function selected_Modify() {
            var select = $('.even.pointer.selected');
            if (select.length != 1){
                alert('请选中一个修改');
            }else {
                var DistrcitCode =  select.attr('id');
                $(location).attr('href', $(location).attr('pathname')+'/modify/'+DistrcitCode);

            }
        }
        function selected_delete() {
            var select = $('.even.pointer.selected');
            if (select.length != 1){
                alert('请选中一个修改');
            }else {
                var DistrcitCode =  select.attr('id');
                $(location).attr('href', $(location).attr('pathname')+'/delete/'+DistrcitCode);

            }
        }
        function selected_add() {

            // var select = $('.even.pointer.selected');
            $(location).attr('href', $(location).attr('pathname')+'/modify/add');

        }
    </script>

@endsection