<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>管理系统-登录</title>


    @include("console.head")
</head>

<body class="login">
<div>
    <a class="hiddenanchor" id="signup"></a>
    <a class="hiddenanchor" id="signin"></a>

    <div class="login_wrapper">
        <div class="animate form login_form">
            <section class="login_content">

                <form action="?" method="post">
                    {{ csrf_field() }}
                    <input hidden value="{{request('portal')}}" name="portal">
                    <h1>登录</h1>
                    <div>
                        <input type="text" value="{{ $Username or ''}}"  name="Username" class="form-control" placeholder="Username" required="" />
                    </div>
                    <div>
                        <input type="password"  value="{{ $Password or ''}}" name="Password" class="form-control" placeholder="Password" required="" />
                    </div>
{{--                    @isset( $errMsg)--}}
{{--                        <div> <p class="bg-danger">--}}
{{--                                {{$errMsg}}--}}
{{--                            </p>--}}
{{--                        </div>--}}

{{--                    @endisset--}}

                    @if(session('errMsg'))
                        <div> <p class="bg-danger">
                                {{session('errMsg')}}
                            </p>
                        </div>

                    @endif
                    <div>
                        <button  class="btn btn-default submit" onclick="" type="submit">登录</button>
                        <a class="reset_pass" href="#">忘记密码?</a>
                    </div>

                    <div class="clearfix"></div>

                    <div class="separator">
                        {{--<p class="change_link">New to site?--}}
                            {{--<a href="#signup" class="to_register"> Create Account </a>--}}
                        {{--</p>--}}

                        <div class="clearfix"></div>
                        <br />

                        <div>

                            <div   class="profile_pic"  style="align-content: center; text-align:center;width: 24px;margin-left: 60px;" >
                                <img src="{{asset('/static/image/logo/laixin_LOGO@96x96_green.png')}}" alt="..."
                                     style="width: 24px;">
                            </div>
                            <h1>

                                来信</h1>
                            <p>能耗监测管理分析平台软件 v1.0</p>
                        </div>
                    </div>
                </form>

                {{--<script>--}}
                    {{--function submitForm() {--}}

                        {{--var groupId = $("#groupId").val();--}}
                        {{--if(groupId===""){--}}
                            {{--groupId="noVip";--}}
                        {{--}--}}
                        {{--$('#approvalForm').attr('action', "/" + CC.requestId+"/"+groupId);--}}
                        {{--$('#approvalForm').submit();--}}
                    {{--}--}}
                {{--</script>--}}
            </section>
        </div>

        <div id="register" class="animate form registration_form">
            <section class="login_content">
                <form>
                    <h1>Create Account</h1>
                    <div>
                        <input type="text" class="form-control" placeholder="Username" required="" />
                    </div>
                    <div>
                        <input type="email" class="form-control" placeholder="Email" required="" />
                    </div>
                    <div>
                        <input type="password" class="form-control" placeholder="Password" required="" />
                    </div>
                    <div>
                        <a class="btn btn-default submit" href="index.html">Submit</a>
                    </div>

                    <div class="clearfix"></div>

                    <div class="separator">
                        <p class="change_link">Already a member ?
                            <a href="#signin" class="to_register"> 登录 </a>
                        </p>

                        <div class="clearfix"></div>
                        <br />

                        <div>
                            <h1><i class="fa fa-paw"></i> Gentelella Alela!</h1>
                            <p>能耗管理平台</p>
                        </div>
                    </div>
                </form>
            </section>
        </div>
    </div>
</div>
</body>
</html>
