{{--通讯设备管理--}}
@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">
@endsection
@section('foot_script')
    @parent
    <!-- iCheck -->
    <script src="{{asset('./gentelella/vendors/iCheck/icheck.min.js')}}"></script>
@endsection
@section('content')

    <div class="">

        <div class="clearfix"></div>

        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        <h2>用户详细信息

                        </h2>

                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">

                        <form class="form-horizontal form-label-left" novalidate>


                            <div class="item form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" for="name"> 所属校区 <span
                                            class="required">*</span>
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input value="{{$info->district->FullName}}" disabled id="name"
                                           class="form-control col-md-7 col-xs-12" data-validate-length-range="6"
                                           data-validate-words="2" placeholder="" required="required" type="text">
                                </div>
                            </div>
                            <div class="item form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" for="name">用户名 <span
                                            class="required">*</span>
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input value="{{$info->UserName}}" disabled id="name"
                                           class="form-control col-md-7 col-xs-12" data-validate-length-range="6"
                                           data-validate-words="2" placeholder="" required="required" type="text">
                                </div>
                            </div>
                            <div class="item form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" for="name"> 姓名 <span
                                            class="required">*</span>
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input value="{{$info->UserRealName}}" disabled id="name"
                                           class="form-control col-md-7 col-xs-12" data-validate-length-range="6"
                                           data-validate-words="2" placeholder="" required="required" type="text">
                                </div>
                            </div>
                            <div class="item form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" for="name">角色 <span
                                            class="required">*</span>
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    {{--用户角色1 普通用户  2 管理员--}}
                                    @if($info->UserRole == 1)
                                        <input value="普通用户" disabled id="name" class="form-control col-md-7 col-xs-12"
                                               data-validate-length-range="6" data-validate-words="2" placeholder=""
                                               required="required" type="text">
                                    @endif
                                    @if($info->UserRole == 2)
                                        <input value="管理员" disabled id="name" class="form-control col-md-7 col-xs-12"
                                               data-validate-length-range="6" data-validate-words="2" placeholder=""
                                               required="required" type="text">
                                    @endif                                </div>
                            </div>
                            <div class="item form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" for="name">状态 <span
                                            class="required">*</span>
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">

                                    @if($info->UserState == 1)
                                        <input value="新增" disabled id="name" class="form-control col-md-7 col-xs-12"
                                               data-validate-length-range="6" data-validate-words="2" placeholder=""
                                               required="required" type="text">

                                    @endif
                                    @if($info->UserState == 2)
                                        <input value="激活" disabled id="name" class="form-control col-md-7 col-xs-12"
                                               data-validate-length-range="6" data-validate-words="2" placeholder=""
                                               required="required" type="text">

                                    @endif
                                    @if($info->UserState == 3)
                                        <input value="停用" disabled id="name" class="form-control col-md-7 col-xs-12"
                                               data-validate-length-range="6" data-validate-words="2" placeholder=""
                                               required="required" type="text">

                                    @endif
                                    @if($info->UserState == 9)
                                        <input value="删除" disabled id="name" class="form-control col-md-7 col-xs-12"
                                               data-validate-length-range="6" data-validate-words="2" placeholder=""
                                               required="required" type="text">

                                    @endif

                                </div>
                            </div>

                            <div class="item form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" for="name">创建时间 <span
                                            class="required">*</span>
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input value="{{$info->CreateTime}}" disabled id="name"
                                           class="form-control col-md-7 col-xs-12" data-validate-length-range="6"
                                           data-validate-words="2" placeholder="" required="required" type="text">
                                </div>
                            </div>
                            <div class="item form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" for="name">最后修改时间 <span
                                            class="required">*</span>
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input value="{{$info->ModifyTime}}" disabled id="name"
                                           class="form-control col-md-7 col-xs-12" data-validate-length-range="6"
                                           data-validate-words="2" placeholder="" required="required" type="text">
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection