@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('/gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">
    <!-- bootstrap-wysiwyg -->
    <link href="{{asset('/gentelella/vendors/google-code-prettify/bin/prettify.min.css')}}" rel="stylesheet">
    <!-- Select2 -->
    <link href="{{asset('/gentelella/vendors/select2/dist/css/select2.min.css')}}" rel="stylesheet">
    <!-- Switchery -->
    <link href="{{asset('/gentelella/vendors/switchery/dist/switchery.min.css')}}" rel="stylesheet">
    <!-- starrr -->
    <link href="{{asset('/gentelella/vendors/starrr/dist/starrr.css')}}" rel="stylesheet">
    <!-- bootstrap-daterangepicker -->
    <link href="{{asset('/gentelella/vendors/bootstrap-daterangepicker/daterangepicker.css')}}" rel="stylesheet">

@endsection
@section('foot_script')
    @parent
    <!-- bootstrap-progressbar -->
    <script href="{{asset('/gentelella/vendors/bootstrap-progressbar/bootstrap-progressbar.min.js')}}"></script>
    <!-- iCheck -->
    <script href="{{asset('/gentelella/vendors/iCheck/icheck.min.js')}}"></script>
    <!-- bootstrap-daterangepicker -->
    <script href="{{asset('/gentelella/vendors/moment/min/moment.min.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>
    <!-- bootstrap-wysiwyg -->
    <script href="{{asset('/gentelella/vendors/bootstrap-wysiwyg/js/bootstrap-wysiwyg.min.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/jquery.hotkeys/jquery.hotkeys.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/google-code-prettify/src/prettify.js')}}"></script>
    <!-- jQuery Tags Input -->
    <script href="{{asset('/gentelella/vendors/jquery.tagsinput/src/jquery.tagsinput.js')}}"></script>
    <!-- Switchery -->
    <script href="{{asset('/gentelella/vendors/switchery/dist/switchery.min.js')}}"></script>
    <!-- Select2 -->
    <script href="{{asset('/gentelella/vendors/select2/dist/js/select2.full.min.js')}}"></script>
    <!-- Parsley -->
    <script href="{{asset('/gentelella/vendors/parsleyjs/dist/parsley.min.js')}}"></script>
    <!-- Autosize -->
    <script href="{{asset('/gentelella/vendors/autosize/dist/autosize.min.js')}}"></script>
    <!-- jQuery autocomplete -->
    <script href="{{asset('/gentelella/vendors/devbridge-autocomplete/dist/jquery.autocomplete.min.js')}}"></script>
    <!-- starrr -->
    <script href="{{asset('/gentelella/vendors/starrr/dist/starrr.js')}}"></script>

    <script src="{{asset('/cxSelect/jquery.cxselect.js')}}"></script>
    <!-- 开发环境版本，包含了有帮助的命令行警告 -->
    {{--    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>--}}
    <script src="{{asset('/js/vue.js')}}"></script>

@endsection

@section('content')
    <div class="row">
        <!-- 模态框（Modal） -->
        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
             aria-hidden="true">
            <div class="modal-dialog" style="width: 70%">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                            &times;
                        </button>
                        <h4 class="modal-title" id="myModalLabel">采集器选择</h4>


                    </div>
                    <div class="modal-body">
                        <div class=" ">
                            <div class="x_title">
                                {{--<form action="?" method="get">--}}
                                <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-left top_search">
                                    <div class="input-group">
                                        <input id="SearchComCode" type="text" name="SearchComCode" class="form-control"
                                               placeholder="请输入名称">
                                        <span class="input-group-btn">
                                              <button onclick="SearchComCode();" class="btn btn-default" type="button">搜索</button>
                                               </span>
                                    </div>
                                </div>
                                {{--</form>--}}
                                <div class="clearfix"></div>
                            </div>


                            <div class="table-responsive">
                                <table class="table table-striped jambo_table bulk_action">
                                    <thead>
                                    <tr class="headings">
                                        <th class="column-title"></th>
                                        <th class="column-title">通讯编号</th>
                                        <th class="column-title">图纸编号</th>
                                        <th class="column-title">所属校区</th>
                                        <th class="column-title">安装位置</th>
                                        <th class="column-title">设备类型</th>
                                        <th class="column-title">能耗类型</th>
                                    </tr>
                                    </thead>

                                    <tbody id="ComCodeList">
                                    <tr v-for="item in items" class="even pointer">
                                        <td>
                                            <a href="#" onclick="select_communicationsEquipment(this);"
                                               v-bind:id="item.ComEquipID" class="btn btn-primary btn-xs"><i
                                                        class="fa fa-location-arrow"></i> 选择
                                            </a>
                                        </td>
                                        <td>@{{ item.ComCode }}</td>
                                        <td>@{{ item.DrawingsCode }}</td>
                                        <td>@{{ item.DistrictModel.FullName }}</td>
                                        <td>@{{ item.ComEquipAddress }}</td>
                                        <td>@{{ item.ComEquipTypeName }}</td>
                                        <td>@{{ item.EnergyTypeName }}</td>
                                    </tr>
                                    </tbody>
                                    <tfoot>
                                    <tr>
                                    </tr>

                                    </tfoot>
                                </table>
                                <div id="links"></div>
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        {{--<button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>--}}
                        {{--<button type="button" class="btn btn-primary">提交更改</button>--}}
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal -->
        </div>
    </div>
    <!-- 信息填写 -->
    <div class="row">
        <div class="col-md-6 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    @isset($modelInfo)
                        @if($MeterID == 'update')
                            <h2>修改物理表具</h2>
                        @endif
                        @if($MeterID == 'updateVirtual')
                            <h2>修改虚拟表具</h2>
                        @endif
                        @if($MeterID == 'updateGroup')
                            <h2>修改物理表具组</h2>
                        @endif
                    @else
                        @if($MeterID == 'add')
                            <h2>新增物理表具</h2>
                        @endif
                        @if($MeterID == 'addVirtual')
                            <h2>新增虚拟表具</h2>
                        @endif
                        @if($MeterID == 'addGroup')
                            <h2>新增物理表具组</h2>
                        @endif
                    @endisset
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">
                    <br/>
                    <form action='?' method="get" class="form-horizontal form-label-left">
                        @isset($modelInfo)
                            <input hidden name="action" value="update"/>
                        @else
                            <input hidden name="action" value="add"/>
                        @endisset
                        <input hidden id="MeterID" name="MeterID" value="{{$MeterID or  ''}}"/>
                        <input hidden id="ddIsVirtual" name="IsVirtual" value="0"/>
                        <input hidden id="ddInGroup" name="InGroup" value="0"/>
                        <div id="ddPECode" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">能耗数据编号 </label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <input required="required" name="PECode" type="text" class="form-control"
                                       value="{{$modelInfo->PECode or ''}}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">表具名称 </label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <input required="required" name="MeterName" type="text" class="form-control"
                                       value="{{$modelInfo->MeterName or ''}}">
                            </div>
                        </div>
                        <div id="EnergyTypeSelect">
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">能耗类型 </label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <select onchange="EnergyTypeSelect(this);" name="EnergyType" id="EnergyType"
                                            class="select2_single form-control" tabindex="-1">
                                        <option value="0">*请选择</option>
                                        <option value="1">水</option>
                                        <option value="2">电</option>
                                    </select>
                                </div>
                            </div>
                            <div id="ddUsageID" class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">用途 </label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <select name="UsageID" id="UsageID" class="select2_single form-control"
                                            tabindex="-1">
                                        <option value="0">*请选择</option>
                                        <option v-for="item in items" v-bind:value="item['UsageID']">
                                            @{{item['UsageName']}}
                                        </option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">所属校区 </label>
                            <div class="col-md-9 col-sm-9 col-xs-12">

                                <select onchange="DistrictIDSelect(this);" name="DistrictID" id="DistrictID"
                                        class="form-control">
                                    <option value="0">*请选择</option>
                                    @foreach($districtAllModel as $item)
                                        <option value="{{$item->DistrictID}}">{{$item->FullName}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div id="ddDeptID" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">所属部门</label>
                            <div id="Department" class="col-md-9 col-sm-9 col-xs-12">
                                <select onchange="" name="DeptID" id="DeptID" class="form-control">
                                    <option value="0">*选择</option>
                                    <option v-for="item in items" v-bind:value="item['DeptID']">
                                        @{{item['DeptName']}}
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div id="ddBuildingID" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">所在楼宇</label>
                            <div id="Building" class="col-md-9 col-sm-9 col-xs-12">
                                <select onchange="" name="BuildingID" id="BuildingID" class="form-control">
                                    <option value="0">*请选择</option>
                                    <option v-for="item in items" v-bind:value="item['BuildingID']">
                                        @{{item['BuildingName']}}
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div id="ddComCode" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">关联采集器</label>
                            <div class="col-md-9 col-sm-9 col-xs-12  ">

                                <div class="input-group">
                                    {{--通讯设备 通讯码--}}
                                    <input readonly required="required" id="ComCode" name="ComCode" type="text"
                                           class="form-control"
                                           value="{{$modelInfo->ComCode or ''}}">
                                    {{--通讯设备ID--}}
                                    <input hidden required="required" id="AcquireID" name="AcquireID" type="text"
                                           value="{{$modelInfo->AcquireID or ''}}">


                                    <div class="input-group-btn">
                                        <span onclick="SearchComCode();" class="btn btn-primary">
                                            选入采集器
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">图纸编号</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <input readonly required="required" name="DrawingsCode" id="DrawingsCode" type="text"
                                       class="form-control"
                                       value="{{$modelInfo->DrawingsCode or ''}}">

                            </div>
                        </div>
                        <div id="ddLocation" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">安装位置</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <input readonly required="required" id="Location" name="Location" type="text"
                                       class="form-control"
                                       value="{{$modelInfo->Location or ''}}">

                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">表层级</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <select onchange="LevelSelect();" name="Level" id="Level"
                                        class="select2_single form-control" tabindex="-1">
                                    <option value="">请选择</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4">4</option>
                                    <option value="5">5</option>
                                    <option value="6">6</option>
                                </select>
                            </div>
                        </div>
                        <div id="ddGroupID" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">所属组</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <select name="GroupID" id="GroupID" class="select2_single form-control" tabindex="-1">
                                    {{--<option value="">请选择</option>--}}
                                    <option value="0">不属于任何组</option>
                                    <option v-for="item in items" v-bind:value="item.MeterID">@{{ item.MeterName}}--@{{
                                        item.ComCode}}
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">上级表（组）</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <select name="ParentID" id="ParentID" class="select2_single form-control" tabindex="-1">
                                    <option value="0">最上级</option>
                                    <option v-for="item in items" v-bind:value="item.MeterID">@{{ item.MeterName}}--@{{
                                        item.ComCode}} --@{{
                                        item.DrawingsCode}}
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div id="ddFactor" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">水表系数</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <input required="required" name="Factor" type="number" step="0.01" class="form-control"
                                       value="{{$modelInfo->Factor or ''}}">

                            </div>
                        </div>
                        <div id="ddaddInfoW" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">水表管径</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <input required="required" name="addInfoW" type="text" class="form-control"
                                       value="{{$modelInfo->AdditonInfo or ''}}">

                            </div>
                        </div>
                        <div id="ddaddInfoE" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">电表种类 </label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <select name="addInfoE" id="addInfoE" class="select2_single form-control"
                                        tabindex="-1">
                                    <option value="单相表5(10)A">单相表5(10)A</option>
                                    <option value="单相表10(20)A">单相表10(20)A</option>
                                    <option value="单相表20(40)A">单相表20(40)A</option>
                                    <option value="三相直接式3×5(25)A">三相直接式3×5(25)A</option>
                                    <option value="三相直接式3×10(50)A">三相直接式3×10(50)A</option>
                                    <option value="三相直接式3×15(60)A">三相直接式3×15(60)A</option>
                                    <option value="三相直接式3×20(80)A">三相直接式3×20(80)A</option>
                                    <option value="三相直接式3×30(100)A">三相直接式3×30(100)A</option>
                                    <option value="三相互感式 3×1(2)A">三相互感式 3×1(2)A</option>
                                    <option value="三相互感式 3×1.5(6)A">三相互感式 3×1.5(6)A</option>
                                    <option value="三相互感式3×3(6)A">三相互感式3×3(6)A</option>
                                </select>
                            </div>
                        </div>
                        <div id="ddMaxWastage" class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">最大消耗量</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <input required="required" name="MaxWastage" type="number" step="0.01"
                                       class="form-control"
                                       value="{{$modelInfo->MaxWastage or ''}}">

                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">记录状态 </label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <select name="MeterState" id="MeterState" class="select2_single form-control"
                                        tabindex="-1">
                                    {{--校区记录状态(1.激活；2新增，3停用，9删除)--}}
                                    <option value="2">激活</option>
                                    <option value="1">新增</option>
                                    <option value="3">停用</option>
                                    <option value="9">删除</option>
                                </select>
                            </div>
                        </div>
                        <div class="ln_solid"></div>
                        <div class="form-group">
                            <div class="col-md-9 col-sm-9 col-xs-12 col-md-offset-3">
                                <button type="submit" class="btn btn-primary">保存</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>



@endsection
@section('foot_script_run')

    <script>
        var MeterID = $('#MeterID').val();
        // 新增虚拟表具 addVirtual addGroup
        var ddPECode = $('#ddPECode');
        var ddUsageID = $('#ddUsageID');
        var ddComCode = $('#ddComCode');
        var DrawingsCode = $('#DrawingsCode');
        var ddLocation = $('#ddLocation');
        var ddIsVirtual = $('#ddIsVirtual');
        var ddInGroup = $('#ddInGroup');
        var ddGroupID = $('#ddGroupID');
        var ddaddInfoW = $('#ddaddInfoW');
        var ddaddInfoE = $('#ddaddInfoE');
        var ddMaxWastage = $('#ddMaxWastage');
        var ddFactor = $('#ddFactor');
        var ddDeptID = $('#ddDeptID');
        var ddBuildingID = $('#ddBuildingID');
        if (MeterID == 'addVirtual' || MeterID == 'updateVirtual') {
            ddPECode.remove();
            ddComCode.remove();
            DrawingsCode.removeAttr('readonly')
            ddLocation.remove();
            ddaddInfoW.remove();
            ddaddInfoE.remove();
            ddMaxWastage.remove();
            ddFactor.remove();
            ddIsVirtual.val('1');
            // IsVirtual.show();
        }
        if (MeterID == 'addGroup' || MeterID == 'updateGroup') {
            ddUsageID.remove();
            ddPECode.remove();
            ddComCode.remove();
            DrawingsCode.removeAttr('readonly')
            ddLocation.remove();
            ddaddInfoW.remove();
            ddaddInfoE.remove();
            ddMaxWastage.remove();
            ddFactor.remove();
            ddGroupID.remove();
            ddInGroup.val('1');
            ddDeptID.remove();
            ddBuildingID.remove();
            // IsVirtual.show();
        }

        var app_UsageID = new Vue({
            el: '#UsageID',
            data: {
                items: ''
            }
        })

        function EnergyTypeSelect(sender) {
            var selectV = $("#EnergyType").val();
            if (selectV == 1) {
                $('#ddaddInfoW').show();
                $('#ddaddInfoE').hide();

            }
            if (selectV == 2) {
                $('#ddaddInfoW').hide();
                $('#ddaddInfoE').show();

            }
            $.getJSON('?select=EnergyTypeSelect', {'EnergyType': selectV}, function (data) {
                console.log(data)
                app_UsageID.items = data;
                @isset($modelInfo)
                setTimeout(function () {
                    $("#UsageID").val("{{$modelInfo->UsageID}}")
                },200);
                @endisset
            });
        }

        var app_Department = new Vue({
            el: '#Department',
            data: {
                items: ''
            }
        })
        var app_Building = new Vue({
            el: '#Building',
            data: {
                items: ''
            }
        })


        function DistrictIDSelect(sender) {
            var selectV = $("#DistrictID").val();
            $.getJSON('?select=DistrictIDSelect', {'DistrictID': selectV}, function (data) {
                console.log(data)
                // Department','Building'
                app_Department.items = data.Department;
                app_Building.items = data.Building;
                @isset($modelInfo)
                setTimeout(function () {
                    $("#DeptID").val("{{$modelInfo->DeptID}}")
                    $("#BuildingID").val("{{$modelInfo->BuildingID}}")

                },200);
                @endisset
            });
        }

        var app_ComCodeList = new Vue({
            el: '#ComCodeList',
            data: {
                items: ''
            }
        })

        var app_ParentID = new Vue({
            el: '#ParentID',
            data: {
                items: ''
            }
        })
        var app_listGroup = new Vue({
            el: '#GroupID',
            data: {
                items: ''
            }
        })

        function LevelSelect() {
            var EnergyType = $("#EnergyType").val();
            var DistrictID = $("#DistrictID").val();
            $.getJSON('?select=LevelSelect', {
                'Level': $("#Level").val(),
                'EnergyType': EnergyType,
                'DistrictID': DistrictID,
                'InGroup': ddInGroup.val()

            }, function (data) {
                console.log(data)
                app_ParentID.items = data.listLevel;
                app_listGroup.items = data.listGroup;

                @isset($modelInfo)
                setTimeout(function () {
                    $("#ParentID").val("{{$modelInfo->ParentID}}");
                    $("#GroupID").val("{{$modelInfo->GroupID}}")

                },500);
                @endisset
            });
        }

        function SearchComCode() {

            var SearchComCode = $("#SearchComCode").val();
            var EnergyType = $("#EnergyType").val();
            var DistrictID = $("#DistrictID").val();
            if (EnergyType == 0) {
                alert('请选择能耗类型');
                return;
            }
            if (DistrictID == 0) {
                alert('请选择所属校区');
                return;
            }
            $('#myModal').modal('show')
            $.getJSON('?select=SearctComEquip', {
                'SearchComCode': SearchComCode,
                'EnergyType': EnergyType,
                'DistrictID': DistrictID
            }, function (data) {

                searchComCodeList(data);
            });
        }

        function select_communicationsEquipment(sender) {
            var ComEquipID = $(sender).attr('id');

            var ComCode = $('#ComCode');
            var DrawingsCode = $('#DrawingsCode');
            var Location = $('#Location');
            var AcquireID = $('#AcquireID');

            $.getJSON('/production/communicationsEquipment/info', {
                'response_type': 'json',
                'ComEquipID': ComEquipID
            }, function (data) {
                console.log(data);
                ComCode.val(data.ComCode)
                DrawingsCode.val(data.DrawingsCode)
                Location.val(data.ComEquipAddress)
                AcquireID.val(data.ComEquipID)
                $('#myModal').modal('hide')
            });
        }

        function searchComCodeList(data) {
            app_ComCodeList.items = data.list;
            console.log(data.list);
            $('#links').html(data.links);
            $('#links  a').click(function (ev) {
                // console.log($(this).attr('href'));
                $.getJSON($(this).attr('href'), function (data) {
                    // app_ComCodeList.items = data.list;
                    // console.log(data.links);
                    searchComCodeList(data);
                });
                return false;
            });
        }

    </script>
    @isset($modelInfo)
        <script>
            $("#DistrictID").val("{{$modelInfo->DistrictID}}");
            DistrictIDSelect();
            $("#ParentID").val("{{$modelInfo->ParentID}}");
            {{--{{dd($modelInfo->ParentID)}}--}}
            $("#IsMin").val("{{$modelInfo->IsMin}}");
            $("#DeptState").val("{{$modelInfo->DeptState}}");
            $("#EnergyType").val("{{$modelInfo->EnergyType}}")
            EnergyTypeSelect();
            $("#Level").val("{{$modelInfo->Level}}")
            LevelSelect();
            $("#MeterState").val("{{$modelInfo->MeterState}}")
            {{--$("#MeterState").val("{{$modelInfo->AdditonInfo}}")--}}


        </script>
    @endisset

@endsection