{{--楼宇管理--}}
@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">

@endsection
@section('foot_script')
    @parent
    <!-- iCheck -->
    <script src="{{asset('./gentelella/vendors/iCheck/icheck.min.js')}}"></script>
    <style type="text/css">
        #function li a {
            color: #0D3349 !important;

        }

    </style>
@endsection
@section('content')
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                {{--<h2>Table design--}}
                {{--<small>Custom design</small>--}}
                {{--</h2>--}}
                <div class="col-md-5 col-sm-5 col-xs-12 form-group   top_search">
                    <form action="?" method="get">
                        <div class="input-group">
                            <input name="search_name" type="text" class="form-control" placeholder="请输入名称">
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="submit">搜索</button>
                            </span>
                        </div>
                    </form>
                </div>

                <ul id="function" class="nav navbar-right panel_toolbox x_title">

                    <li><a class="" style="color: #0D3349" onclick="selected_add();">新增</a>
                    </li>
                    <li><a class="" onclick="selected_Modify();">修改</a>
                    </li>
                    <li><a class="" onclick="selected_delete();">删除</a>
                    </li>


                </ul>
                <div class="clearfix"></div>
            </div>

            <div class="x_content">


                <div class="table-responsive">
                    <table class="table table-striped jambo_table bulk_action">
                        <thead>
                        <tr class="headings">
                            <th>
                                {{--<input type="checkbox" id="check-all" class="flat">--}}
                            </th>

                            <th class="column-title">楼宇(建筑)名称</th>
                            <th class="column-title">类型</th>
                            <th class="column-title">所属校区</th>
                            <th class="column-title">记录状态</th>
                            <th class="column-title">备注</th>
                            <th class="column-title">创建时间</th>
                            <th class="column-title">修改时间</th>

                            <th class="bulk-actions" colspan="7">
                                {{--<a class="antoo" style="color:#fff; font-weight:500;">批量操作 ( <span--}}
                                {{--class="action-cnt"> </span> ) <i class="fa fa-chevron-down"></i></a>--}}
                            </th>
                        </tr>
                        </thead>

                        <tbody>

                        @foreach($Building as $item)
                            <tr class="even pointer" id="{{$item->BuildingID}}">
                                <td class="a-center ">
                                    <input type="checkbox" class="flat" name="table_records">
                                </td>
                                <td class=" ">{{$item->BuildingName}} </td>
                                <td class=" ">
                                    @if($item->BuildingType == 1)
                                        行政办公建筑
                                    @endif
                                    @if($item->BuildingType == 2)
                                        图书馆建筑
                                    @endif
                                    @if($item->BuildingType == 3)
                                        教学楼建筑
                                    @endif
                                    @if($item->BuildingType == 4)
                                        科研楼建筑
                                    @endif
                                    @if($item->BuildingType == 5)
                                        综合楼建筑
                                    @endif
                                    @if($item->BuildingType == 6)
                                        场馆类建筑
                                    @endif
                                    @if($item->BuildingType == 7)
                                        食堂餐厅
                                    @endif
                                    @if($item->BuildingType == 8)
                                        学生集中浴室
                                    @endif
                                    @if($item->BuildingType == 9)
                                        学生宿舍
                                    @endif
                                    @if($item->BuildingType == 10)
                                        大型或特殊科研实验室
                                    @endif
                                    @if($item->BuildingType == 11)
                                        医院
                                    @endif
                                    @if($item->BuildingType == 12)
                                        交流中心(含招待所,宾馆)
                                    @endif
                                    @if($item->BuildingType == 13)
                                        其他
                                    @endif
                                    @if($item->BuildingType == 14)
                                        总表
                                    @endif

                                    {{--<select disabled >--}}
                                    {{--<option value="1">行政办公建筑</option>--}}
                                    {{--<option value="2">图书馆建筑</option>--}}
                                    {{--<option value="3">教学楼建筑</option>--}}
                                    {{--<option value="4">科研楼建筑</option>--}}
                                    {{--<option value="5">综合楼建筑</option>--}}
                                    {{--<option value="6">场馆类建筑</option>--}}
                                    {{--<option value="7">食堂餐厅</option>--}}
                                    {{--<option value="8">学生集中浴室</option>--}}
                                    {{--<option  value="9">学生宿舍</option>--}}
                                    {{--<option value="10">大型或特殊科研实验室</option>--}}
                                    {{--<option value="11">医院</option>--}}
                                    {{--<option value="12">交流中心(含招待所,宾馆)</option>--}}
                                    {{--<option value="13">其他</option>--}}
                                    {{--<option value="14">总表</option>--}}
                                    {{--</select>--}}
                                </td>
                                <td class=" "> {{$item->DistrictName}}</td>
                                <td class="a-right a-right ">
                                    @if($item->BuildingState == 1)
                                        新增
                                    @endif
                                    @if($item->BuildingState == 2)
                                        激活
                                    @endif
                                    @if($item->BuildingState == 3)
                                        停用
                                    @endif
                                    @if($item->BuildingState == 9)
                                        删除
                                    @endif
                                </td>
                                <td class=" ">{{$item->BuildingNote}} </td>
                                <td class=" "> {{$item->CreateTime}}</td>
                                <td class=" "> {{$item->ModifyTime}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                        <tfoot>

                        </tfoot>
                    </table>
                </div>
                {{ $Building->links() }}
            </div>
        </div>
    </div>
    <script>

        function selected_Modify() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var ComEquipID = select.attr('id');
                {{--href="/production/communicationsEquipment/modify?action=modify&ComEquipID={{''}}"--}}
                $(location).attr('href', $(location).attr('pathname') + '/modify/' + ComEquipID);

            }
        }

        function selected_info() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var ComEquipID = select.attr('id');
                $(location).attr('href', $(location).attr('pathname') + '/info?ComEquipID=' + ComEquipID);

            }
        }

        function selected_delete() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var ComEquipID = select.attr('id');
                $(location).attr('href', $(location).attr('pathname') + '/delete/' + ComEquipID);


            }
        }

        function selected_add(ComEquipType) {
            // href="/production/communicationsEquipment/modify?action=add&ComEquipType=3"
            $(location).attr('href', $(location).attr('pathname') + '/modify/add');

        }
    </script>

@endsection