{{--通讯设备管理--}}
@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">

@endsection
@section('foot_script')
    @parent
    <!-- iCheck -->
    <script src="{{asset('./gentelella/vendors/iCheck/icheck.min.js')}}"></script>
    <style type="text/css">
        #function  li a{
            color: #0D3349   !important;

        }

    </style>
@endsection
@section('content')
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                {{--<h2>Table design--}}
                {{--<small>Custom design</small>--}}
                {{--</h2>--}}
                <div class="col-md-5 col-sm-5 col-xs-12 form-group   top_search">
                    <form action="?" method="get">
                        <div class="input-group">
                            <input name="search_name" type="text" class="form-control" placeholder="请输入通讯编号">
                            <span class="input-group-btn">
                      <button class="btn btn-default" type="submit">搜索</button>
                     </span>
                        </div>
                    </form>
                </div>

                <ul id="function" class="nav navbar-right panel_toolbox x_title" >

                    <li><a class="" style="color: #0D3349" onclick="selected_info();">明细</a>
                    </li>
                    <li><a class=""  onclick="selected_delete();">删除</a>
                    </li>
                    <li><a class="" onclick="selected_Modify();" >修改</a>
                    </li>
                    {{--通讯设备类型区分是采集器、中继，还是集中器1.集中器，2中继，3采集器--}}
                    <li><a class="" onclick="selected_add(3);" >新增采集</a>
                    </li>
                    <li><a class=""   onclick="selected_add(2);">新增中继</a>
                    </li>
                    <li><a class=""   onclick="selected_add(1);">新增集中</a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>

            <div class="x_content">



                <div class="table-responsive">
                    <table class="table table-striped jambo_table bulk_action">
                        <thead>
                        <tr class="headings">
                            <th>
                                {{--<input type="checkbox" id="check-all" class="flat">--}}
                            </th>

                            <th class="column-title">通讯编号</th>
                            <th class="column-title">图纸编号</th>
                            <th class="column-title">硬件编号</th>
                            <th class="column-title">能耗类型</th>
                            <th class="column-title">设备类型</th>
                            <th class="column-title">所属校区</th>
                            <th class="column-title">安装位置</th>
                            <th class="column-title">挂载采集数量</th>
                            <th class="column-title">记录状态</th>

                            <th class="bulk-actions" colspan="8">
                                {{--<a class="antoo" style="color:#fff; font-weight:500;">批量操作 ( <span--}}
                                {{--class="action-cnt"> </span> ) <i class="fa fa-chevron-down"></i></a>--}}
                            </th>
                        </tr>
                        </thead>

                        <tbody >
                        @foreach($ComEquip as $item)
                            <tr class="even pointer" id="{{$item->ComEquipID}}">
                                <td class="a-center ">
                                    <input type="checkbox" class="flat" name="table_records">
                                </td>
                                <td class=" ">{{$item->ComCode}}</td>
                                <td class=" ">{{$item->DrawingsCode}}</td>
                                <td class=" ">{{$item->HardwareCode}} </td>
                                {{--能耗类型1水；2电--}}
                                <td class=" ">
                                    @if($item->EnergyType == 1)
                                        水
                                    @endif
                                    @if($item->EnergyType == 2)
                                        电
                                    @endif
                                </td>
                                {{--通讯设备类型区分是采集器、中继，还是集中器1.集中器，2中继，3采集器----}}
                                <td class=" ">
                                    @if($item->ComEquipType == 1)
                                        集中器
                                    @endif
                                    @if($item->ComEquipType == 2)
                                        中继
                                    @endif
                                    @if($item->ComEquipType == 3)
                                        采集器
                                    @endif
                                </td>

                                <td class="a-right a-right ">
                                    {{$item->DistrictModel->FullName}}
                                </td>
                                <td class=" last">{{$item->ComEquipAddress}}</td>
                                <td class=" last">{{$item->CollectorNum}}</td>
                                {{--用户状态（1.激活；2新增，3停用，9删除）--}}
                                <td class="a-right a-right ">
                                    @if($item->ComEquipState == 1)
                                        新增
                                    @endif
                                    @if($item->ComEquipState == 2)
                                        激活
                                    @endif
                                    @if($item->ComEquipState == 3)
                                        停用
                                    @endif
                                    @if($item->ComEquipState == 9)
                                        删除
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                        <tfoot>
                        <tr>

                        </tr>

                        </tfoot>
                    </table>
                </div>
                {{ $ComEquip->links() }}
            </div>
        </div>
    </div>
    <script>

        function selected_Modify() {
            var select = $('.even.pointer.selected');
            if (select.length != 1){
                alert('请选中一个修改');
            }else {
                var ComEquipID =  select.attr('id');
                {{--href="/production/communicationsEquipment/modify?action=modify&ComEquipID={{''}}"--}}
                $(location).attr('href', $(location).attr('pathname')+'/modify?action=modify&ComEquipID='+ComEquipID);

            }
        }
        function selected_info() {
            var select = $('.even.pointer.selected');
            if (select.length != 1){
                alert('请选中一个修改');
            }else {
                var ComEquipID =  select.attr('id');
                $(location).attr('href', $(location).attr('pathname')+'/info?ComEquipID='+ComEquipID);

            }
        }
        function selected_delete() {
            var select = $('.even.pointer.selected');
            if (select.length != 1){
                alert('请选中一个修改');
            }else {
                var ComEquipID =  select.attr('id');
                $(location).attr('href', $(location).attr('pathname')+'/delete?action=delete&ComEquipID='+ComEquipID);


            }
        }
        function selected_add(ComEquipType) {
            // href="/production/communicationsEquipment/modify?action=add&ComEquipType=3"
            $(location).attr('href', $(location).attr('pathname')+'/modify?action=add&ComEquipType='+ComEquipType);

        }
    </script>

@endsection