<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>信息管理 | </title>
@section('head_stylesheet')
       <!-- Bootstrap -->
        <link href="{{asset('/gentelella/vendors/bootstrap/dist/css/bootstrap.min.css')}}" rel="stylesheet">
        <!-- Font Awesome -->
        <link href="{{asset('/gentelella/vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">
        <!-- NProgress -->
        <link href="{{asset('/gentelella/vendors/nprogress/nprogress.css')}}" rel="stylesheet">

        <!-- Custom Theme Style -->
        <link href="{{asset('/gentelella/build/css/custom.min.css')}}" rel="stylesheet">
           <!-- jQuery -->
           <script src="{{asset('/gentelella/vendors/jquery/dist/jquery.min.js')}}"></script>
           {{--    <script src="{{asset("/static/lib/jquery.js")}}"></script>--}}

    @show

</head>

<body class="nav-md">
<div class="container body">
    <div class="main_container">
        <div class="col-md-3 left_col">
            <div class="left_col scroll-view">
                <div class="navbar nav_title" style="border: 0;">
                    <a href="/production/login" class="site_title">
                        {{--<i class="fa fa-paw" style="background-image: url('/static/image/logo/laixin_LOGO@96x96_white.png')"></i>--}}
                        <div class="profile_pic">
                        <img src="{{asset('/static/image/logo/laixin_LOGO@96x96_white.png')}}" alt="..."
                            style="width: 48px;">
                        </div>
                        <span>信息管理</span></a>

                </div>

                <div class="clearfix"></div>

                <!-- menu profile quick info -->
                <div class="profile clearfix">
                    <div class="profile_pic">
                        <img src="{{asset('gentelella/production/images/img.jpg')}}" alt="..."
                             class="img-circle profile_img">
                    </div>
                    <div class="profile_info">
                        <span>欢迎,</span>
                        <h2>{{$loginUser->UserRealName or ''}}</h2>
                    </div>
                    <div class="clearfix"></div>
                </div>
                <!-- /menu profile quick info -->

                <br/>

                <!-- sidebar menu -->
                <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
                    <div class="menu_section">
                        <h3>管理</h3>
                        <ul class="nav side-menu">
                            <li><a><i class="fa fa-home"></i> 系统管理 <span class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    <li><a href="/production/campusManagement">校园管理</a></li>
                                    <li><a href="/production/communicationsEquipment">通讯设备管理</a></li>
                                    <li><a href="/production/buildingManagement">楼宇管理</a></li>
                                    <li><a href="/production/UsageManagement">表具用途管理</a></li>
                                    <li><a href="/production/DepartmentManagement">部门管理</a></li>
                                    <li><a href="/production/MetersManagement">表具设备管理</a></li>
                                    <li><a href="/production/backup_db">系统备份</a></li>
                                    <li><a href="/production/mailSystemManagement">系统邮件设置</a></li>
                                    <li><a href="/production/BasicInfoLog">操作日志</a></li>
                                    <li><a href="/production/AlarmLog">设备报警管理</a></li>

                                    <li><a>报表管理<span class="fa fa-chevron-down"></span></a>
                                        <ul class="nav child_menu">
                                            <li class="sub_menu">
                                                <a href="/production/report_water_balance">水平衡报表</a>
                                            </li>
                                            <li><a href="/production/monthly_only_report">单表月明细</a>
                                            </li>
                                            <li><a href="/production/monthly_report">月报表</a>
                                            </li>
                                            <li><a href="/production/department_monthly_report">部门月报表</a>
                                            </li>
                                            <li><a href="/production/department_year_report">部门年报表</a>
                                            </li>
                                            <li><a href="/production/district_year_report">年报表</a>
                                            </li>
                                            <li><a href="/production/level_rates_report">等级计量表</a>
                                            </li>
                                        </ul>
                                    </li>

                                    {{--<li><a href="index3.html">地图配置管理</a></li>--}}
                                </ul>
                            </li>
                            <li><a><i class="fa fa-edit"></i> 用户管理 <span class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                    @if($loginUser->UserRole == 2 || $loginUser->UserRole == 3)
                                        <li><a href="/production/UserManagement">用户管理</a></li>
                                    @endif
                                    @if($loginUser->UserRole == 1 || $loginUser->UserRole == 2)
                                        <li><a href="/production/UserManagement/info/{{$loginUser->UserID}}">用户信息</a></li>
                                        <li><a href="/production/UserManagement/reset_pwd">修改密码</a></li>
                                    @endif
                                </ul>
                            </li>

                        </ul>
                    </div>


                </div>
                <!-- /sidebar menu -->

                <!-- /menu footer buttons -->
                <div class="sidebar-footer hidden-small">
                    {{--<a data-toggle="tooltip" data-placement="top" title="Settings">--}}
                        {{--<span class="glyphicon glyphicon-cog" aria-hidden="true"></span>--}}
                    {{--</a>--}}
                    {{--<a data-toggle="tooltip" data-placement="top" title="FullScreen">--}}
                        {{--<span class="glyphicon glyphicon-fullscreen" aria-hidden="true"></span>--}}
                    {{--</a>--}}
                    {{--<a data-toggle="tooltip" data-placement="top" title="Lock">--}}
                        {{--<span class="glyphicon glyphicon-eye-close" aria-hidden="true"></span>--}}
                    {{--</a>--}}
                    <a data-toggle="tooltip" data-placement="top" title="Logout" href="/production/logout">
                        <span class="glyphicon glyphicon-off" aria-hidden="true"></span>
                    </a>
                </div>
                <!-- /menu footer buttons -->
            </div>
        </div>

        <!-- top navigation -->
        <div class="top_nav">
            <div class="nav_menu">
                <nav>
                    <div class="nav toggle">
                        <a id="menu_toggle"><i class="fa fa-bars"></i></a>
                    </div>
                </nav>
            </div>
        </div>
        <!-- /top navigation -->

        <!-- page content -->

        <div class="right_col" role="main">
            @if(session('status'))
                <div><p class="bg-danger">
                        {{session('status')}}
                    </p>
                </div>
            @endif
            @section('content')
                <div class="">
                    <div class="page-title">
                        <div class="title_left">
                            <h3>欢迎使用能耗管理系统后台</h3>
                        </div>
                    </div>
                </div>
            @show
        </div>


        <!-- /page content -->

        <!-- footer content -->
        <footer>
            <div class="pull-right">
                版权所有：上海来信信息科技有限公司
            </div>
            <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
    </div>
</div>
@section('foot_script')

    <!-- Bootstrap -->
    <script src="{{asset('/gentelella/vendors/bootstrap/dist/js/bootstrap.min.js')}}"></script>
    <!-- FastClick -->
    <script src="{{asset('/gentelella/vendors/fastclick/lib/fastclick.js')}}"></script>
    <!-- NProgress -->
    <script src="{{asset('/gentelella/vendors/nprogress/nprogress.js')}}"></script>
    <!-- Custom Theme Scripts -->
    <script src="{{asset('/gentelella/build/js/custom.min.js')}}"></script>
@show
@section('foot_script_run')
@show
</body>
</html>
