{{--水平衡--}}
@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">
    <!-- bootstrap-daterangepicker -->
    <link href=".{{asset('gentelella/vendors/bootstrap-daterangepicker/daterangepicker.css')}}" rel="stylesheet">

@endsection
@section('foot_script')
    @parent
    <!-- iCheck -->
    <script src="{{asset('./gentelella/vendors/iCheck/icheck.min.js')}}"></script>
    <!-- bootstrap-daterangepicker -->
    <script src="{{asset('gentelella/vendors/moment/min/moment.min.js')}}"></script>
    <script src="{{asset('gentelella/vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>

    <style type="text/css">
        #function li a {
            color: #0D3349 !important;

        }

    </style>
@endsection
@section('content')
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    <h2> 水平衡实测抄表记录
                        {{--<small>上海海事大学</small>--}}
                    </h2>
                    <div class="clearfix">

                    </div>
                    <div class="col-md-12 col-sm-12 col-xs-12 form-group   top_search">
                        <form action="?" method="get">
                            <div class="row">
                                <div class="col-md-2 col-sm-2 col-xs-12  ">
                                    <select onchange="" name="DistrictID" id="DistrictID" class="form-control ">
                                        <option value="">请选择校区</option>
                                        @foreach($districtAllModel as $item)
                                            <option value="{{$item->DistrictID}}">{{$item->FullName}}</option>
                                        @endforeach
                                    </select>
                                </div>


                                <div class="col-md-5 col-sm-5 col-xs-12 ">
                                    <div class="col-md-3 col-sm-3 col-xs-12 text-center" style="line-height: 34px; ">
                                        请选择时间
                                    </div>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                        <fieldset>
                                            <div class="control-group">
                                                <div class="controls">


                                                    <div class="col-md-12 xdisplay_inputx form-group has-feedback">


                                                        <input type="text" class="form-control has-feedback-left"
                                                               id="single_cal2" name="StartTime"
                                                               placeholder="First Name"
                                                               value="{{$StartTime or date('m/d/Y')}}"
                                                               aria-describedby="inputSuccess2Status2">
                                                        <span class="fa fa-calendar-o form-control-feedback left"
                                                              aria-hidden="true"></span>
                                                        <span id="inputSuccess2Status2"
                                                              class="sr-only">(success)</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </fieldset>
                                    </div>
                                </div>
                                <button class="btn btn-default" type="submit">查询</button>
                                <button class="btn btn-default" onclick="exportClick();" type="button">导出</button>
                                {{--<div class="col-md-4 col-sm-4 col-xs-12 form-group  top_search">--}}
                                {{--<div class="input-group">--}}
                                {{--<input value="{{$search_name or ''}}" name="search_name"--}}
                                {{--type="text" class="form-control" placeholder="请输入名称">--}}

                                {{--<span class="input-group-btn">--}}
                                {{--<button class="btn btn-default" type="submit">搜索</button>--}}
                                {{--</span>--}}


                                {{--</div>--}}
                                {{--</div>--}}
                            </div>
                        </form>

                    </div>
                    <div class="clearfix">

                    </div>
                </div>

                <div class="x_content">


                    <div class="table-responsive">
                        <table class="table table-striped jambo_table bulk_action">

                            <thead>
                            <tr class="headings">

                                <th class="column-title" style="text-align: center;" rowspan="2" data-valign="middle"
                                    data-align="center">水表
                                </th>
                                <th class="column-title" style="text-align: center;" rowspan="2" data-valign="middle"
                                    data-align="center">计量部门
                                </th>
                                <th class="column-title" colspan="7" style="text-align: center;" data-valign="middle"
                                    data-align="center">抄表数/新水表
                                </th>
                                <th rowspan="2" style="text-align: center;" data-valign="middle" data-align="center">
                                    日均新水量
                                </th>

                            <tr class="headings ">
                                <th class="column-title" style="text-align: center;" data-align="center">
                                    {{$nowDate}}
                                </th>
                                <th class="column-title" style="text-align: center;" colspan="2" data-align="center">
                                    {{$date1}}
                                </th>

                                <th class="column-title" style="text-align: center;" colspan="2" data-align="center">
                                    {{$date2}}
                                </th>

                                <th class="column-title" colspan="2" data-align="center">
                                    {{$date3}}
                                </th>

                                                
                            </tr>
                            </thead>

                            <tbody>
                            @foreach($list as $item)
                                {{--{{dd($list)}}--}}
                                <tr class="even pointer" id="" style="text-align: center;">
                                    <td class=" ">{{$item->DrawingsCode}}</td>
                                    <td class=" ">{{$item->MeterName}}</td>
                                    <td class=" ">{{$item->report_water_balance[0]['RawData']}}</td>
                                    <td class=" ">{{$item->report_water_balance[1]['RawData']}}</td>
                                    <td class=" ">{{$item->report_water_balance[1]['Wastage']}}</td>
                                    <td class=" ">{{$item->report_water_balance[2]['RawData']}}</td>
                                    <td class=" ">{{$item->report_water_balance[2]['Wastage']}}</td>
                                    <td class=" ">{{$item->report_water_balance[3]['RawData']}}</td>
                                    <td class=" ">{{$item->report_water_balance[3]['Wastage']}}</td>
                                    <td class=" ">{{($item->report_water_balance[3]['RawData']-$item->report_water_balance[0]['RawData'])/4.0}}</td>
                                </tr>

                            @endforeach
                            </tbody>
                            <tfoot>
                            <tr>

                            </tr>

                            </tfoot>
                        </table>
                    </div>
                    {{ $list->links() }}
                </div>
            </div>
        </div>
    </div>
    <script>

        function selected_Modify() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var MeterID = select.attr('id');
                {{--href="/production/communicationsEquipment/modify?action=modify&ComEquipID={{''}}"--}}
                $(location).attr('href', $(location).attr('pathname') + '/modify/' + MeterID);

            }
        }

        function selected_info() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var MeterID = select.attr('id');
                $(location).attr('href', $(location).attr('pathname') + '/info?MeterID=' + MeterID);

            }
        }

        function selected_delete() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var MeterID = select.attr('id');
                $(location).attr('href', $(location).attr('pathname') + '/delete/' + MeterID);


            }
        }

        function selected_add(type) {
            // href="/production/communicationsEquipment/modify?action=add&ComEquipType=3"
            $(location).attr('href', $(location).attr('pathname') + '/modify/' + type);
        }
    </script>

@endsection
@section('foot_script_run')

    <script>
         console.log({{$DistrictID}});
        $("#DistrictID").val("{{$DistrictID or ''}}");

        $("#EnergyType").val("{{$EnergyType or ''}}");
        
        function exportClick() {
            var DistrictID = $("#DistrictID").val();
            var single_cal2 = $("#single_cal2").val();

            $(location).attr('href', '?action=export&DistrictID='+DistrictID+'&StartTime='+encodeURIComponent(single_cal2));

        }
    </script>

@endsection