<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>能耗监测管理分析平台-首页</title>

    <!-- Bootstrap Core CSS -->
    <link href="{{asset('/home/vendor/bootstrap/css/bootstrap.min.css')}}" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="{{asset('/home/vendor/fontawesome-free/css/all.min.css')}}" rel="stylesheet" type="text/css">
     <link href="{{asset('/home/vendor/simple-line-icons/css/simple-line-icons.css')}}" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="{{asset('/home/css/stylish-portfolio.min.css')}}" rel="stylesheet">

</head>

<body id="page-top">

<!-- Navigation -->
<a class="menu-toggle rounded" href="#">
    <i class="fas fa-bars"></i>
</a>
<nav id="sidebar-wrapper">
    <ul class="sidebar-nav">
        <li class="sidebar-brand">
            <a class="js-scroll-trigger" href="#page-top">菜单</a>
        </li>
        <li class="sidebar-nav-item">
            <a class="js-scroll-trigger" href="#page-top">首页</a>
        </li>

        <li class="sidebar-nav-item">
            <a class="js-scroll-trigger" href="#contact">联系我们</a>
        </li>
    </ul>
</nav>

<!-- Header -->
<header class="masthead d-flex">
    <div class="container text-center my-auto">
        <h1 class="mb-1">能耗监测</h1>
        <h3 class="mb-5">
            <em>管理分析平台软件 v2.0</em>
        </h3>
        <a class="btn btn-primary btn-xl js-scroll-trigger" style="border: 10px;" href="/map_web/home?portal=home">能耗监测软件前台</a>

        <a class="btn btn-primary btn-xl js-scroll-trigger" style="border: 10px;" href="/production/login?portal=admin">能耗监测后台管理系统</a>
    </div>
    <div class="overlay"></div>
</header>


<!-- Footer -->
<footer class="footer text-center" id="contact">
    <div class="container">


        <p class="text-muted small mb-0">版权所有：上海来信信息科技有限公司
            <br/>

            拥有自主研发的无线数据远传技术专利,主要应用于能源管理、社区服务及医院、矿井通讯救援等不同领域。
            <br/>
            Email: gaoyuan@power-invent.com 电话: 021-62316690 62316691 传真: 021-62316696
            <br/>
            上海市普陀区武宁路509号2006-C室</p>
    </div>
</footer>

<!-- Scroll to Top Button-->
<a class="scroll-to-top rounded js-scroll-trigger" href="#page-top">
    <i class="fas fa-angle-up"></i>
</a>

<!-- Bootstrap core JavaScript -->
<script src="{{asset('/home/vendor/jquery/jquery.min.js')}}"></script>
<script src="{{asset('/home/vendor/bootstrap/js/bootstrap.bundle.min.js')}}"></script>

<!-- Plugin JavaScript -->
<script src="{{asset('/home/vendor/jquery-easing/jquery.easing.min.js')}}"></script>

<!-- Custom scripts for this template -->
<script src="{{asset('/home/js/stylish-portfolio.min.js')}}"></script>

</body>

</html>
